<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!--
IGAC proyecto SNC

@author 		javier.aponte
@modified		christian.rodriguez nuevas versiones desde el 2012
@version		2.0
@description 	Pantalla que permite ingresar los datos correspondientes 
                a propiedad horizontal para registrar ofertas inmobiliarias de proyectos
                CU-SA-AC-077 Registrar Ofertas Inmobiliarias de Proyectos
@cu 			CU-AV-O-01
@param 			managedBeanParam: 	nombre del managed bean
@param 			ofertaInmobiliariaParam: 	oferta inmobiliaria seleccionada

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="3">

    <h:panelGrid columns="1">
        <p:spacer height="15" />
        <h:outputLabel value="Servicios comunales"
                       styleClass="outputLabelStyle" />
        <p:pickList value="#{managedBeanParam.serviciosComunalesOferta}"
                    var="servicioComunalOferta" 
                    itemLabel="#{servicioComunalOferta}"
                    itemValue="#{servicioComunalOferta}" addLabel="Adicionar"
                    addAllLabel="Adicionar todos" removeLabel="Quitar"
                    removeAllLabel="Quitar todos"
                    onTransfer="toggleComponentePL(e,'registroOfertaInmobiliariaFormId:otrosServiciosComunalesPanel','Otro')">
            <f:facet name="sourceCaption">Servicios Comunales</f:facet>
            <f:facet name="targetCaption">Servicios Comunales Oferta</f:facet>
        </p:pickList>
        <!--  Este componente inicia inactivo, se habilita si se arrastra la opción otros al panel de la derecha  -->
        <p:outputPanel id="otrosServiciosComunalesPanel"
                       style="#{managedBeanParam.estiloServicioComunalOtro}">

            <h:panelGroup>
                <h:outputLabel value="Otros Servicios Comunales"
                               for="otrosServiciosComunales" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <br />
            <h:inputTextarea cols="81" rows="3" id="otrosServiciosComunales"
                             value="#{ofertaInmobiliariaParam.otrosServiciosComunales}" />
        </p:outputPanel>
    </h:panelGrid>

    <p:spacer width="25" />

    <h:panelGrid columns="1">
        <h:panelGrid columns="2">
            <h:outputLabel value="Áreas de uso exclusivo" for="areasUsoExlusivo"
                           styleClass="outputLabelStyle" />
            <h:panelGrid columns="2">
                <h:selectOneMenu id="areasUsoExlusivo"
                                 label="Áreas de uso exclusivo"
                                 value="#{ofertaInmobiliariaParam.areasUsoExclusivo}">
                    <f:selectItems value="#{general.siNo}" />
                    <p:ajax process="@this"
                            update=":registroOfertaInmobiliariaFormId:areaUsoExclusivo"
                            onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                            immediate="true" />
                </h:selectOneMenu>
                <p:message for="areasUsoExlusivo" display="icon" />
            </h:panelGrid>
        </h:panelGrid>

        <p:outputPanel id="areaUsoExclusivo">
            <p:pickList value="#{managedBeanParam.areasUsoExclusivo}"
                        var="areaUsoExclusivo" 
                        itemLabel="#{areaUsoExclusivo}" itemValue="#{areaUsoExclusivo}"
                        addLabel="Adicionar" addAllLabel="Adicionar todos"
                        removeLabel="Quitar" removeAllLabel="Quitar todos"
                        rendered="#{managedBeanParam.mostrarAreasUsoExclusivo}">
                <f:facet name="sourceCaption">Áreas de uso exclusivo</f:facet>
                <f:facet name="targetCaption">Áreas de uso exclusivo Proyecto</f:facet>
            </p:pickList>
            <p:spacer width="441" height="229"
                      rendered="#{!managedBeanParam.mostrarAreasUsoExclusivo}" />
        </p:outputPanel>
    </h:panelGrid>

</h:panelGrid>

